/* DB connection tests */

function help(error) {
    if (error) {
        console.log("ERROR: " + error);
    }
    console.log("USAGE: " + process.argv[0] + " " + process.argv[1] + " <host> <user> <password> <database> [mysql]");
    console.log("where:");
    console.log("\t<host>\t\tHost to connect to. Example: localhost");
    console.log("\t<user>\t\tUser to connect with. Example: root");
    console.log("\t<password>\tPassword for given user. Example: password");
    console.log("\t<database>\tDatabase to connect to. Example: node_test");
    console.log("\t[mysql]\t\tSet to 1 if the database is a MySQL database");
    process.exit(error ? 1 : 0);
}

require("./drizzle");

var assert = require("assert");
var drizzle = new Drizzle()

var args = process.argv.slice(2);
if (args.length < 4) {
    help("Missing required arguments.");
}

console.log("STARTING");

drizzle = new Drizzle()

currentError = null;
drizzle.query("SELECT * FROM users", {
    error: function(error) {
        currentError = error;
    },
    finish: function() {
        assert.equal("Can't execute query without an opened connection", currentError);
    }
});

